Skip to main content
PUT
/
admin
/
users
/
{userId}
/
actions
/
disallow_reset_passwords
Disallow password reset for a User
curl --request PUT \
  --url https://{tenant}/admin/users/{userId}/actions/disallow_reset_passwords \
  --header 'Admin-Auth: <api-key>'
{
  "Message": "User updated",
  "Meta": {
    "PWHistory": [],
    "access_key": "68b225c4376748207453c235ed8e2a82",
    "active": true,
    "created_at": "2021-09-15T15:49:01Z",
    "email_address": "john@test.com",
    "first_name": "John",
    "group_id": "",
    "id": "614215edb2d47190f98b3b79",
    "last_login_date": "2021-09-15T15:49:49.754Z",
    "last_name": "Doe",
    "org_id": "60ef3a1dcb83670001bf2df9",
    "password_max_days": 0,
    "password_updated": "2021-09-15T15:49:01.863Z",
    "user_permissions": {
      "IsAdmin": "admin",
      "ResetPassword": "admin"
    }
  },
  "Status": "OK"
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Admin-Auth
string
header
required

Api key

Path Parameters

userId
string
required

User ID of the user whose password is being reset

Response

OK

ID
string
Message
string
Meta
any
Status
string